@charset 'utf-8';
/* reset.css */
button {
    border: none;
    background: none;
    padding: 0;
    margin: 0;
    font: inherit;
    color: inherit;
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
  }
  
  button:focus {
    outline: none;
  }
  
  button:focus-visible {
    outline: 2px solid currentColor;
    outline-offset: 2px;
  }

/*variables*/
:root {
    --ratio: 1.2;
    --fs-base: 16px;
}

@media screen and (max-width: 700px) {
    footer .inner {
        max-width: 100%;
        padding: 0;
    }
}

/*common*/
/*フッター内のinner_上書き防止*/
#corp-footer .inner {
    width: clamp(1000px, 71.4vw, 1200px);
    max-width: 100%;
    margin: 0 auto;
}
@media screen and (min-width: 701px) and (max-width: 1100px) {
    #corp-footer .inner {
        padding-left: 30px;
        padding-right: 30px;
    }
}
@media screen and (max-width: 700px) {
    #corp-footer .inner {
        max-width: 100%;
        padding: 0;
    }
}


/*
 * フッターCSS
 */

footer p, footer a{
    color: var(--color-text);
}

#corp-footer {
    position: relative;
}

#corp-footer .footer-top{
    background-color: var(--color-sub);
    padding: 80px 0 40px;
}

#corp-footer .footer-nav{
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: auto;
    padding-bottom: 40px;
    border-bottom: 1px solid var(--color-line);
}

@media screen and (min-width: 701px) and (max-width: 1000px) {
    #corp-footer .footer-nav{
        display: grid;
        grid-template-columns: repeat(2, 1.5fr);
        grid-template-rows: auto auto;
        align-items: start;
    }
}

@media screen and (min-width: 701px) {
    #corp-footer .accordion-wrap {
        max-height: none !important; /* インラインスタイルを上書き */
    }
}

@media screen and (max-width: 700px) {

    #corp-footer .footer-top{
        padding: 0;
        padding-bottom: 30px;
    }

    #corp-footer .footer-nav{
        display: flex;
        align-items: center;
        flex-direction: column;
        border-bottom: none;
        padding-bottom: 0;
        margin-bottom: 30px;
    }
}

#corp-footer  .footer-nav-section{
    border-left: 1px solid var(--color-line);
    padding-left: 20px;
}

#corp-footer  .footer-nav-section:first-child{
    border-left: none;
    padding-left: 0;
}

#corp-footer  .footer-nav-section + .footer-nav-section{
    margin-left: 29px;
}

#corp-footer  .footer-nav-column + .footer-nav-column{
    margin-top: 40px;
}

#corp-footer  .footer-nav-column .nav-title{
    font-size: clamp(16px, 1.143vw, calc(16px * var(--ratio)));
    letter-spacing: 0.05em;
}

#corp-footer  .footer-nav-column .nav-title a{
    position: relative;
    font-weight: bold;
}
#corp-footer  .footer-nav-column .nav-title a::after{
    content: "";
    position: absolute;
    top: 50%;
    margin-left: 20px;
    width: 10px;
    height: 10px;
    border-top: 1px solid var(--color-text);
    border-right: 1px solid var(--color-text);
    transform: translateY(-50%) rotate(45deg);
    transition: all .3s ease;
}
#corp-footer  .footer-nav-column .nav-title a:hover::after{
    margin-left: calc(20px + 10px);
}
#corp-footer .footer-nav-list{
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: 20px;
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

#corp-footer .footer-nav-link{
    margin-top: 20px;
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

#corp-footer .footer-nav-list a{
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

#corp-footer .footer-sub-section{
    margin-top: 20px;
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

#corp-footer .footer-sub-section .footer-sub-list{
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: 10px;
}

#corp-footer .footer-sub-section .footer-sub-list li{
    position: relative;
    padding-left: 20px;
}

#corp-footer .footer-sub-section .footer-sub-list li::before{
    content: "";
    position: absolute;
    left: 0;
    top: 0.75em;
    border-top: 1px solid var(--color-text);
    width: 10px;
}

#corp-footer .footer-nav-wrap{
    display: flex;
    align-items: flex-start;
}

#corp-footer .footer-nav-wrap p{
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

#corp-footer  .footer-sub-section .submenu-section-title{
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
    border: 1px solid var(--color-text);
    border-radius: 30px;
    padding: 5px clamp(15px, 1.071vw, calc(15px * var(--ratio)));
    margin-right: 20px;
    width: fit-content;
}

@media screen and (max-width: 1350px) {
    #corp-footer  .footer-sub-section .submenu-section-title{
        font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
        padding: clamp(5px, 0.357vw, calc(5px * var(--ratio))) clamp(15px, 1.071vw, calc(15px * var(--ratio)));
    }
}

@media screen and (max-width: 700px){
    #corp-footer  .footer-sub-section .submenu-section-title{
        font-size: calc(12px / var(--fs-base) * 1rem);
        padding: 6px 12px;
        margin-right: 0;
    }
}

#corp-footer .footer-wrap-section{
    display: flex;
    flex-direction: column;
}

#corp-footer .footer-wrap-section + .footer-wrap-section{
    margin-left: 34px;
    margin-top: 0;
}

#corp-footer p.footer-nav-item{
    margin-top: 20px;   
}

@media screen and (min-width: 701px) and (max-width: 1000px) {
    #corp-footer .footer-nav-section + .footer-nav-section{
        margin-left: 0;
    }

    #corp-footer .footer-nav-section:nth-child(2){
        border-left: none;
        padding-left: 0;
        margin-top: 40px;
    }

    #corp-footer .footer-nav-section:nth-child(4){
        padding-top: 20px;
    }

    #corp-footer .footer-nav {
        position: relative;
    }
    
    /* 全てのsectionのborder-leftを削除 */
    #corp-footer .footer-nav-section {
        border-left: none;
        padding-left: 20px;
        padding-right: 20px;
    }
    
    /* 中央に縦線を配置 */
    #corp-footer .footer-nav::after {
        content: "";
        position: absolute;
        left: 50%;
        top: 0;
        bottom: 30px;
        width: 1px;
        background-color: var(--color-line);
        transform: translateX(-50%);
    }

}

@media screen and (max-width: 700px) {
    #corp-footer  .footer-nav-section{
        border-left: none;
        padding-left: 0;
        width: 100%;
    }

    #corp-footer  .footer-nav-section + .footer-nav-section{
        margin-left: 0;
    }

    #corp-footer  .footer-nav-column{
        width: 100%;
    }
    
    #corp-footer  .footer-nav-column + .footer-nav-column{
        margin-top: 0;
    }

    #corp-footer  .footer-nav-column .nav-title a::after{
        display: none;
    }

    #corp-footer .nav-title-wrap{
        width: 100%;
        position: relative;
        cursor: pointer;
        padding: 15px 40px 15px 0;
        border-top: 1px solid var(--color-line);  
    }

    #corp-footer .footer-nav-section:first-child .footer-nav-column:first-child .nav-title-wrap{
        border-top: none;
    }

    #corp-footer .footer-nav-section:last-child .footer-nav-column .nav-title-wrap{
        border-bottom: 1px solid var(--color-line);
    }


    
    #corp-footer .nav-title-wrap::before,
    #corp-footer .nav-title-wrap::after {
        content: "";
        position: absolute;
        right: 30px;
        top: 50%;
        width: 16px;
        height: 1px;
        background: var(--color-text);
        transition: transform 0.3s ease, opacity 0.3s ease;
    } 
    
    /* 縦線（＋の時だけ表示） */
    #corp-footer .nav-title-wrap::before {
        transform: translateY(-50%) rotate(90deg);
    }
    
    /* 横線（常に表示） */
    #corp-footer .nav-title-wrap::after {
        transform: translateY(-50%);
    }
    
    /* 開いた時（−になる） */
    #corp-footer .nav-title-wrap[aria-expanded="true"]::before {
        opacity: 0;
    }
    
     #corp-footer .nav-title-wrap[aria-expanded="true"] {
        background-color: var(--color-line);
        color: var(--color-text-sub);
    }

    #corp-footer .nav-title-wrap[aria-expanded="true"]::after {
       background: var(--color-text-sub);
    }

    /* コンテンツエリアを閉じた状態に*/
    #corp-footer .accordion-wrap {
        max-height: 0;
        overflow: hidden;
        transition:  max-height 0.4s ease-in-out;
    }
    
  

    #corp-footer .nav-title ,
    #corp-footer .nav-inner-title ,
    #corp-footer .footer-nav-list-wrap ,
    #corp-footer .footer-nav-list,
    #corp-footer .footer-nav-wrap,
    #corp-footer .footer-recruit-wrap{
        margin-left: 30px;
        margin-right: 30px;
    }

    #corp-footer .footer-nav-list{
        margin-top: 10px;
    }

    #corp-footer .footer-recruit-wrap .footer-nav-wrap{
        margin-left: 0;
        margin-right: 0;
    }

    #corp-footer .footer-nav-list-wrap{
        margin-top: 10.5px;
    }

    #corp-footer .nav-title{
        font-weight: bold;
    }

    #corp-footer .footer-nav-list-wrap .footer-nav-list{
        margin-left: 0;
        margin-right: 0;
        margin-top: 0;
    }

    #corp-footer .footer-nav-column .nav-inner-title{
        font-size: calc(16px / var(--fs-base) * 1rem);
        margin-top: 25px;
        font-weight: bold;
    }

    #corp-footer .footer-nav-list, #corp-footer .footer-nav-wrap {
        display: block;
        margin-bottom: 30px;
    }

    #corp-footer .footer-nav-wrap.no-margin{
        margin-bottom: 0;
    }
    #corp-footer .col-2{
        column-count: 2;
        column-gap: 0px;
        margin-top: 10px;
        margin-bottom: 30px;
    }

    /* 2列目のアイテムにのみmargin-leftを適用 */
    #corp-footer .footer-nav-list-wrap.col-2 > *:nth-child(even) {
        margin-left: 15px;
    }

    #corp-footer .footer-recruit-list.col-2{
        /* margin-top: -15px; */
    }

    #corp-footer .footer-recruit-list.col-2 .footer-wrap-section:first-child .footer-sub-section:first-child{
        margin-top: 35px;
    }

      /* リストアイテムが列をまたがないように */
    #corp-footer .footer-nav-list li {
        break-inside: avoid;
        -webkit-column-break-inside: avoid;
        margin-bottom: 10px;
    }
    
    #corp-footer .footer-nav-list a{
        font-size: calc(12px / var(--fs-base) * 1rem);
    }

    #corp-footer .footer-sub-section{
        font-size: calc(12px / var(--fs-base) * 1rem);
    }

    #corp-footer .col-break{
        break-before: column;
        margin-top: 0;
    }

    #corp-footer .footer-sub-section .footer-sub-list li a{
        font-size: calc(12px / var(--fs-base) * 1rem);
    }

    #corp-footer .footer-wrap-section{
        display: block;
        margin-top: 0;
    }
    
    #corp-footer .footer-nav-wrap p{
        font-size: calc(12px / var(--fs-base) * 1rem);
        margin-top: 0;
    }

    #corp-footer .footer-wrap-section + .footer-wrap-section{
        margin-left: 15px;
    }
}

/*会社情報*/
#corp-footer .footer-company{
    padding-top: 40px;
    display: flex;
    align-items: flex-start;
    gap: 30px;
}

#corp-footer .footer-company .footer-logo{
    width: clamp(110px, 7.857vw, calc(110px * var(--ratio)));
}
#corp-footer .footer-company .footer-logo img{
    width: 100%;
}


#corp-footer .footer-company .footer-company-name{
    font-size: clamp(16px, 1.143vw, calc(16px * var(--ratio)));
    line-height: calc(26/16);
}

#corp-footer .footer-company .footer-company-name span{
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

#corp-footer .footer-company .footer-address{
    margin-top: 17px;
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
    line-height: calc(24/12);
    font-style: normal;
}

@media screen and (max-width: 700px) {
    #corp-footer .footer-company{
        flex-direction: column;
        align-items: flex-start;
        margin-left: 30px;
        margin-right: 30px;
        padding-top: 0;
        gap: 20px;
    }

    #corp-footer .footer-company .footer-logo{
        width: 70px;
    }

    #corp-footer .footer-company .footer-company-name{
        font-size: calc(16px / var(--fs-base) * 1rem);
    }

    #corp-footer .footer-company .footer-company-name span{
        font-size: calc(12px / var(--fs-base) * 1rem);
    }

    #corp-footer .footer-company .footer-address  a.tel-link{
        text-decoration: underline;
    }
    
}



/*フッターボトム*/
footer .footer-bottom{
    background-color: var(--color-corp);
    padding-top: 20px;
    padding-bottom: 20px;
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

footer .footer-bottom .footer-links ul{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: clamp(20px, 1.429vw, calc(20px * var(--ratio)));
}

footer  .footer-bottom .footer-links ul li{
    position: relative;
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

footer .footer-bottom .footer-links ul li a{
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

footer .footer-bottom .footer-links ul li + li{
    padding-left: clamp(20px, 1.429vw, calc(20px * var(--ratio)));
}

footer .footer-bottom .footer-links ul li + li::before{
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 1px;
    height: clamp(13px, 0.929vw, calc(13px * var(--ratio))); /* お好みの高さ（%またはpx） */
    background: var(--color-text-sub);
}

footer .footer-bottom p, #corp-footer .footer-bottom a{
    color: var(--color-sub);
}

footer  .footer-bottom .footer-copyright{
    text-align: left;
    margin-top: 30px;
}

footer  .footer-bottom .footer-copyright small{
    font-family: "Inter", sans-serif;
    font-size: clamp(12px, 0.857vw, calc(12px * var(--ratio)));
}

@media screen and (max-width: 700px) {
    footer .footer-bottom{
        padding-top: 20px;
        padding-bottom: 20px;
    }

    footer .footer-bottom .inner{
        padding-left: 30px;
        padding-right: 30px;
    }
    footer .footer-bottom .footer-links ul{
        margin-top: 0;
        gap: 10px calc(20px / var(--fs-base) * 1rem);
        justify-content: center;
        max-width: 315px;
        margin: 0 auto;
    }

    footer .footer-bottom .footer-links ul li.col-break{
        padding-left: 0;
    }

    /*プライバシーポリシー部分*/
    footer .footer-bottom .footer-links ul li:nth-child(4)::before{
        content: none;
    }

    footer .footer-bottom .footer-copyright{
        text-align: center;
        margin-top: 40px;
    }

    footer .footer-bottom .footer-copyright small{
        font-size: calc(10px / var(--fs-base) * 1rem);
    }
}

/*英語時に非表示*/
.en #corp-footer .footer-company .footer-company-name span.company-name-en{
    display: none;
}